<?php
/**
 * @file
 * martplug_commerce.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function martplug_commerce_context_default_contexts() {
  $export = array();

  $context = new stdClass;
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'cart_global';
  $context->description = '';
  $context->tag = 'Shopping cart';
  $context->conditions = array(
    'sitewide' => array(
      'values' => array(
        1 => 1,
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'commerce_cart-cart' => array(
          'module' => 'commerce_cart',
          'delta' => 'cart',
          'region' => 'preface_third',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Shopping cart');
  $export['cart_global'] = $context;

  $context = new stdClass;
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'products';
  $context->description = 'Product listings.';
  $context->tag = 'Products';
  $context->conditions = array(
    'path' => array(
      'values' => array(
        'products' => 'products',
        'products/*' => 'products/*',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'views-products_categories-block_1' => array(
          'module' => 'views',
          'delta' => 'products_categories-block_1',
          'region' => 'sidebar_first',
          'weight' => '-10',
        ),
      ),
    ),
    'menu' => 'products',
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Product listings.');
  t('Products');
  $export['products'] = $context;

  $context = new stdClass;
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'products_global';
  $context->description = '';
  $context->tag = 'Products';
  $context->conditions = array(
    'sitewide' => array(
      'values' => array(
        1 => 1,
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'views-products_categories-categories' => array(
          'module' => 'views',
          'delta' => 'products_categories-categories',
          'region' => 'preface_first',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Products');
  $export['products_global'] = $context;

  return $export;
}
