<?php
/**
 * @file
 * martplug_commerce.ds.inc
 */

/**
 * Implements hook_ds_field_settings_info().
 */
function martplug_commerce_ds_field_settings_info() {
  $export = array();

  $ds_fieldsetting = new stdClass;
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|product|default';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'product';
  $ds_fieldsetting->view_mode = 'default';
  $ds_fieldsetting->settings = array(
    'add_this_social' => array(
      'weight' => '6',
      'label' => 'hidden',
      'format' => 'default',
    ),
    'product_images' => array(
      'weight' => '0',
      'label' => 'hidden',
      'format' => 'default',
    ),
    'title' => array(
      'weight' => '1',
      'label' => 'hidden',
      'format' => 'default',
    ),
  );
  $export['node|product|default'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass;
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|product|product';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'product';
  $ds_fieldsetting->view_mode = 'product';
  $ds_fieldsetting->settings = array(
    'title' => array(
      'weight' => '1',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'link' => '1',
        'wrapper' => 'h2',
        'class' => '',
      ),
    ),
  );
  $export['node|product|product'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass;
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|product|teaser';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'product';
  $ds_fieldsetting->view_mode = 'teaser';
  $ds_fieldsetting->settings = array(
    'title' => array(
      'weight' => '1',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'link' => '1',
        'wrapper' => 'h2',
        'class' => '',
      ),
    ),
  );
  $export['node|product|teaser'] = $ds_fieldsetting;

  return $export;
}

/**
 * Implements hook_ds_custom_fields_info().
 */
function martplug_commerce_ds_custom_fields_info() {
  $export = array();

  $ds_field = new stdClass;
  $ds_field->api_version = 1;
  $ds_field->field = 'add_this_social';
  $ds_field->label = 'Add this social';
  $ds_field->field_type = 5;
  $ds_field->entities = array(
    'node' => 'node',
  );
  $ds_field->properties = array(
    'code' => array(
      'value' => '<!-- AddThis Button BEGIN -->
<div class="addthis_toolbox addthis_default_style ">
<a class="addthis_button_facebook_like" fb:like:layout="button_count"></a>
<a class="addthis_button_tweet"></a>
<a class="addthis_counter addthis_pill_style"></a>
</div>
<script type="text/javascript">var addthis_config = {"data_track_clickback":true};</script>
<script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=ra-4d8178a4343ba428"></script>
<!-- AddThis Button END -->',
      'format' => 'ds_code',
    ),
    'use_token' => 0,
  );
  $export['add_this_social'] = $ds_field;

  $ds_field = new stdClass;
  $ds_field->api_version = 1;
  $ds_field->field = 'product_images';
  $ds_field->label = 'Product images';
  $ds_field->field_type = 6;
  $ds_field->entities = array(
    'node' => 'node',
  );
  $ds_field->properties = array(
    'block' => 'views|product_images-slideshow_block',
    'block_render' => '3',
  );
  $export['product_images'] = $ds_field;

  return $export;
}

/**
 * Implements hook_ds_layout_settings_info().
 */
function martplug_commerce_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass;
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|product|default';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'product';
  $ds_layout->view_mode = 'default';
  $ds_layout->layout = 'ds_2col';
  $ds_layout->settings = array(
    'hide_empty_regions' => 1,
    'hide_sidebars' => 0,
    'regions' => array(
      'left' => array(
        0 => 'product_images',
      ),
      'right' => array(
        0 => 'title',
        1 => 'product:commerce_price',
        2 => 'field_product',
        3 => 'body',
        4 => 'field_categories',
        5 => 'add_this_social',
        6 => 'field_details',
      ),
    ),
    'fields' => array(
      'product_images' => 'left',
      'title' => 'right',
      'product:commerce_price' => 'right',
      'field_product' => 'right',
      'body' => 'right',
      'field_categories' => 'right',
      'add_this_social' => 'right',
      'field_details' => 'right',
    ),
    'classes' => array(),
  );
  $export['node|product|default'] = $ds_layout;

  $ds_layout = new stdClass;
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|product|product';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'product';
  $ds_layout->view_mode = 'product';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'hide_empty_regions' => 0,
    'hide_sidebars' => 0,
    'regions' => array(
      'ds_content' => array(
        0 => 'product:field_image',
        1 => 'title',
        2 => 'product:commerce_price',
      ),
    ),
    'fields' => array(
      'product:field_image' => 'ds_content',
      'title' => 'ds_content',
      'product:commerce_price' => 'ds_content',
    ),
    'classes' => array(
      'ds_content' => array(
        'grid-3' => 'grid-3',
      ),
    ),
  );
  $export['node|product|product'] = $ds_layout;

  $ds_layout = new stdClass;
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|product|teaser';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'product';
  $ds_layout->view_mode = 'teaser';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'hide_empty_regions' => 1,
    'hide_sidebars' => 0,
    'regions' => array(
      'ds_content' => array(
        0 => 'product:field_image',
        1 => 'title',
        2 => 'product:commerce_price',
      ),
    ),
    'fields' => array(
      'product:field_image' => 'ds_content',
      'title' => 'ds_content',
      'product:commerce_price' => 'ds_content',
    ),
    'classes' => array(),
  );
  $export['node|product|teaser'] = $ds_layout;

  return $export;
}

/**
 * Implements hook_ds_view_modes_info().
 */
function martplug_commerce_ds_view_modes_info() {
  $export = array();

  $ds_view_mode = new stdClass;
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'product';
  $ds_view_mode->label = 'Product';
  $ds_view_mode->entities = array(
    'node' => 'node',
  );
  $export['product'] = $ds_view_mode;

  return $export;
}
