<?php
/**
 * @file
 * martplug_defaults.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function martplug_defaults_context_default_contexts() {
  $export = array();

  $context = new stdClass;
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'global';
  $context->description = 'Global context, act on all pages.';
  $context->tag = 'Global';
  $context->conditions = array(
    'sitewide' => array(
      'values' => array(
        1 => 1,
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'system-main' => array(
          'module' => 'system',
          'delta' => 'main',
          'region' => 'content',
          'weight' => '-10',
        ),
        'system-user-menu' => array(
          'module' => 'system',
          'delta' => 'user-menu',
          'region' => 'user_second',
          'weight' => '-10',
        ),
        'search-form' => array(
          'module' => 'search',
          'delta' => 'form',
          'region' => 'preface_second',
          'weight' => '-10',
        ),
        'menu-menu-shop' => array(
          'module' => 'menu',
          'delta' => 'menu-shop',
          'region' => 'postscript_first',
          'weight' => '-10',
        ),
        'menu-menu-about' => array(
          'module' => 'menu',
          'delta' => 'menu-about',
          'region' => 'postscript_second',
          'weight' => '-10',
        ),
        'menu-menu-legal' => array(
          'module' => 'menu',
          'delta' => 'menu-legal',
          'region' => 'postscript_third',
          'weight' => '-10',
        ),
        'follow-site' => array(
          'module' => 'follow',
          'delta' => 'site',
          'region' => 'postscript_fourth',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Global');
  t('Global context, act on all pages.');
  $export['global'] = $context;

  $context = new stdClass;
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'homepage';
  $context->description = 'Homepage context.';
  $context->tag = 'Homepage';
  $context->conditions = array(
    'path' => array(
      'values' => array(
        '<front>' => '<front>',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'views-slideshow-block_1' => array(
          'module' => 'views',
          'delta' => 'slideshow-block_1',
          'region' => 'highlighted',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Homepage');
  t('Homepage context.');
  $export['homepage'] = $context;

  return $export;
}
