<?php

/**
 * @file
 * This file is empty by default because the base theme chain (Alpha & Omega) provides
 * all the basic functionality. However, in case you wish to customize the output that Drupal
 * generates through Alpha & Omega this file is a good place to do so.
 * 
 * Alpha comes with a neat solution for keeping this file as clean as possible while the code
 * for your subtheme grows. Please read the README.txt in the /preprocess and /process subfolders
 * for more information on this topic.
 */

/**
 * Implements hook_css_alter().
 */
function sigma_css_alter(&$css) {
  // Remove omega-visuals as it conflicts with style.css.
  unset($css['omega-text.css'], $css['omega-branding.css'], $css['omega-visuals.css']);
}

/**
 * Override theme_image_style() to remove dimensions for slideshow images, to
 * make them responsive.
 */
function sigma_image_style($variables) {
  if (!in_array($variables['style_name'], array('slide-huge'))) {
    // Determine the dimensions of the styled image.
    $dimensions = array(
      'width' => $variables['width'], 
      'height' => $variables['height'],
    );
  
    image_style_transform_dimensions($variables['style_name'], $dimensions);
  
    $variables['width'] = $dimensions['width'];
    $variables['height'] = $dimensions['height'];
  }
  else {
    unset($variables['width'], $variables['height']);
  }

  // Determine the url for the styled image.
  $variables['path'] = image_style_url($variables['style_name'], $variables['path']);
  return theme('image', $variables);
}
